/******************************************************************************
 *   ______                                                                   *
 *  /       \                                                                 *
 * /$$$$$$  | ________  __    __   ______    ______                           *
 * $$ |__$$ |/        |/  |  /  | /      \  /      \                          *
 * $$    $$ |$$$$$$$$/ $$ |  $$ |/$$$$$$  |/$$$$$$  |                         *
 * $$$$$$$$ |  /  $$/  $$ |  $$ |$$ |  $$/ $$    $$ |                         *
 * $$ |  $$ | /$$$$/__ $$ \__$$ |$$ |      $$$$$$$$/                          *
 * $$ |  $$ |/$$      |$$    $$/ $$ |      $$       |                         *
 * $$/   $$/ $$$$$$$$/  $$$$$$/  $$/        $$$$$$$/                          *
 *                                                                            *
 * @PROJECT    : 3D Preview Extension [Magetop.com]                           *
 * @AUTHOR     : Azure - Developer                                            *
 * @COPYRIGHT  : © 2019  Magetop.com                                          *
 * @LINK       : https://Magetop.com                                          *
 * @CREATED    :  10/01/2022                                                  *
 ******************************************************************************/

.cart-container {
    display: none;
}
.preview-custom-cart {
    display: grid;
    width: 100%;
}
.preview-custom-cart-item {
    float: left;
    width: 100%;
    border-bottom: 2px solid #D9222A;
    padding: 10px 0;
}
.preview-custom-cart-item:first-child {
    border-top: 2px solid #D9222A;
}
.preview-custom-cart-item div {
    float: left;
}
.preview-custom-cart-item-col-3 {
    width: 17%;
    display: grid;
    float: right;
}
.preview-custom-cart-item-col-4 {
    width: 30%;
    display: grid;
}
.preview-custom-cart-item-col-1 {
    width: 15%;
    display: grid;
}
.preview-custom-cart-item-col-2 {
    width: 38%;
    display: grid;
}
/*.preview-custom-cart-item-col-2 span, .preview-custom-cart-item-col-4 span  {
    color: #D9222A;
    font-weight: 500;
}*/
.preview-custom-cart-item img {
    width: 200px;
    height: 200px;
}
.preview-custom-cart-item-col-last-left {
    width: 50%;
    text-align: right;
}
.preview-custom-cart-item-col-last-right {
    width: 50%;
    text-align: right;
}
.pc-item-info-pcs, .preview-custom-cart-item-col-last-left .quantity {
    font-size: 1.25em;
}
.preview-custom-cart-item-col-last-left input {
    text-align: center;
    color: #D9222A;
}
.preview-custom-cart-footer {
    margin-top: 10px;
    text-align: right;
}
#preview-place-order-message {
    text-align: center;
}
.preview-custom-cart-item-col-1 {
    max-height: max-content;
    overflow: hidden;
}
#empty-image-message{
    font-style: italic;
    font-weight: 600;
}
.preview-cart-footer {
    margin-top: 20px;
}
.preview-cart-footer-left {
    float: left;
    width: 80%;
    padding-right: 50px;
}
.preview-cart-footer-right {
    float: left;
    width: 20%;
}
.preview-cart-footer span, .preview-cart-footer label {
    color:#222;
}

#preview-cart-rule-1{
    float: left;
    display: inline-block;
}

.preview-cart-footer-rule span{
    width: 90%;
    display: inline-block;
    margin-left: 5px;
}
/*.preview-cart-footer input {
    display: inline-block;
    width: 14px;
    height: 14px;
    border: 2px solid red;
    border-radius: 2px;
    cursor: pointer;
}*/

.preview-cart-footer-total-left {
    width: 50%;
    float: left;
}
.preview-cart-footer-total-right {
    width: 50%;
    float: left;
    text-align: right;
}
.preview-cart-footer-total {
    border-bottom: 1px solid #D9222A;
    float: left;
    width: 100%;
    margin-top: 5px;
}
/*.preview-cart-footer-total:last-child {
    background-color: #D9222A;

}
.preview-cart-footer-total:last-child span {
    color: #ffffff;
    font-weight: 600;
}*/
.preview-custom-cart-header {
    float: left;
    width: 100%;
    margin-bottom: 10px;
}
.preview-custom-cart-header-1 {
    float: left;
    width: 50%;
    padding-top: 48px;
    display: none;
}
.preview-custom-cart-header-2, .preview-custom-cart-header-3 {
    float: left;
    width: 45%;
    margin-left: 5%;
}
.preview-custom-cart-header-2 div, .preview-custom-cart-header-3 div {
    float: left;
    width: 50%;
}
.preview-custom-cart-header-info button {
    margin-top: 44px;
}
.preview-custom-cart-header-1 span {
    font-size: 2em;
    color: #D9222A;
    font-weight: 600;
}
.preview-custom-cart-header-info span {
    color: #222;
    display: inline-block;
    width: 100%;
}

.preview-custom-cart-item-col-last-left.total, .preview-custom-cart-item-col-last-right.total{
    color: #222;
    font-weight: 700;
    font-size: 1.1em;
    margin-top: 5px;
}

.preview-cart-footer-total.total{
    color: #222;
    font-weight: 700;
    font-size: 1.1em;
    margin-bottom: 5px;
}

.preview-cart-footer-total.grand-total span{
    font-weight: 700;
    font-size: 1.12em;
    color: #D9222A;
    margin-bottom:  5px;
}

.preview-custom-cart-header-info h5{
    margin: 0 0 8px 0;
}

.details-btn{
    background: #D9222A;
    color: #fff !important;
    padding: 8px 20px;
    border-radius: 20px;
    float: left;
    width: 120px;
    text-align: center;
    margin: 10px 0;
}

.edit-btn{
    width: auto;
    background: #D9222A;
    color: #fff !important;
    padding: 8px 20px;
    border-radius: 20px;
    float: right;
    margin-right: 5px;
}

.details-btn:hover, .edit-btn:hover{
    color: #fff;
    background-color: #C41F26;
}

#btn-custom-place-order{
    width: 20%;
    margin-top: 30px;
}

.preview-custom-cart-item-col-3{
    display: inline-block;
}

.preview-custom-cart-item-col-2 .pc-item-info:nth-child(4){
    font-weight: 700;
}
